package com.fs.store.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;

/**
 * 优惠券领取对象 fs_store_coupon_issue
 *
 * @author fs
 * @date 2022-03-15
 */
public class FsStoreCouponIssue extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    private String couponName;

    /** 优惠券ID */
    @Excel(name = "优惠券ID")
    private Long couponId;

    /** 优惠券类型 0-通用 1-商品券 */
    @Excel(name = "优惠券类型 0-通用 1-商品券")
    private Integer couponType;

    /** 优惠券领取开启时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "优惠券领取开启时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 优惠券领取结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "优惠券领取结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date limitTime;

    /** 优惠券领取数量 */
    @Excel(name = "优惠券领取数量")
    private Integer totalCount;

    /** 优惠券剩余领取数量 */
    @Excel(name = "优惠券剩余领取数量")
    private Integer remainCount;

    /** 是否无限张数 */
    @Excel(name = "是否无限张数")
    private Integer isPermanent;

    /** 1 正常 0 未开启 -1 已无效 */
    @Excel(name = "1 正常 0 未开启 -1 已无效")
    private Integer status;

    /** $column.columnComment */
    @Excel(name = "1 正常 0 未开启 -1 已无效")
    private Integer isDel;

    private BigDecimal couponPrice;

    public BigDecimal getCouponPrice() {
        return couponPrice;
    }

    public void setCouponPrice(BigDecimal couponPrice) {
        this.couponPrice = couponPrice;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCouponName(String couponName)
    {
        this.couponName = couponName;
    }

    public String getCouponName()
    {
        return couponName;
    }
    public void setCouponId(Long couponId)
    {
        this.couponId = couponId;
    }

    public Long getCouponId()
    {
        return couponId;
    }



    public Integer getCouponType() {
        return couponType;
    }

    public void setCouponType(Integer couponType) {
        this.couponType = couponType;
    }

    public void setStartTime(Date startTime)
    {
        this.startTime = startTime;
    }

    public Date getStartTime()
    {
        return startTime;
    }

    public void setTotalCount(Integer totalCount)
    {
        this.totalCount = totalCount;
    }

    public Integer getTotalCount()
    {
        return totalCount;
    }
    public void setRemainCount(Integer remainCount)
    {
        this.remainCount = remainCount;
    }

    public Integer getRemainCount()
    {
        return remainCount;
    }
    public void setIsPermanent(Integer isPermanent)
    {
        this.isPermanent = isPermanent;
    }

    public Integer getIsPermanent()
    {
        return isPermanent;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setIsDel(Integer isDel)
    {
        this.isDel = isDel;
    }

    public Integer getIsDel()
    {
        return isDel;
    }

    public Date getLimitTime() {
        return limitTime;
    }

    public void setLimitTime(Date limitTime) {
        this.limitTime = limitTime;
    }
}
